Module jdk.compiler
Package com.sun.source.tree

## Interface CaseTree

- All Superinterfaces:
    `Tree`

      public interface CaseTree
      extends Tree

  A tree node for a `case` in a `switch` statement. For example:

         case expression :
             statements

         default :
             statements

  Since:
    1.6
  See The Java™ Language Specification:
    section 14.11

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionTree` | `getExpression​()` | Returns the expression for the case, or `null` if this is the default case.
    `List<? extends StatementTree>` | `getStatements​()` | Returns the statements labeled by the case.

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getExpression

          ExpressionTree getExpression​()

      Returns the expression for the case, or `null` if this is the default case.
      Returns:
        the expression for the case, or null

    - #### getStatements

          List<? extends StatementTree> getStatements​()

      Returns the statements labeled by the case.
      Returns:
        the statements labeled by the case